Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.inbox
Class InboxTemplate

    java.lang.Object
      |
      +--com.jxml.qare.qhome.Template
            |
            +--com.jxml.qare.qhome.inbox.InboxTemplate

All Implemented Interfaces:
  Item

public class InboxTemplate
extends Template

Field Summary
`String` | `application`
`String` | `applicationName`
`String` | `description`
`DBInbox.Row` | `inbox`
`ArrayList` | `inboxList`
`Iterator` | `it`
`Date` | `recieved`
`String` | `refreshInterval`
`DBInbox.Row` | `rowList`
`Date` | `send`
`String` | `system`
`DBUser.Row` | `user`

Fields inherited from class com.jxml.qare.qhome.Template
`properties, sb`

Constructor Summary
`InboxTemplate()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the properties with the list of argumants
`String` | `process(String arg)`
`boolean` | `refresh()`

Methods inherited from class com.jxml.qare.qhome.Template
`expand, expandProperty, expandURL, init, readURL, redirectToAppDir, redirectToDelegationDisplay, redirectToLogin, redirectToRemoteAccountDisplay`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recieved

    public Date recieved

### send

    public Date send

### application

    public String application

### system

    public String system

### refreshInterval

    public String refreshInterval

### description

    public String description

### inboxList

    public ArrayList inboxList

### it

    public Iterator it

### applicationName

    public String applicationName

### user

    public DBUser.Row user

### inbox

    public DBInbox.Row inbox

### rowList

    public DBInbox.Row rowList

Constructor Detail

### InboxTemplate

    public InboxTemplate()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `Template`
  Evaluates the properties with the list of argumants
  Overrides:
    `eval` in class `Template`
  Following copied from class: `com.jxml.qare.qhome.Template`
  Parameters:
    `properties` - Contains the data in the form of name,value pair.
    `args` - Template name present in properties.
    `cl` - class to be loaded for individual plugins.

### refresh

    public boolean refresh()
                    throws Exception

### process

    public String process(String arg)
                   throws Exception

  Overrides:
    `process` in class `Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD